<div class="front_page_section front_page_section_contacts<?php
	$fribbo_scheme = fribbo_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $fribbo_scheme ) && ! fribbo_is_inherit( $fribbo_scheme ) ) {
		echo ' scheme_' . esc_attr( $fribbo_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( fribbo_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( fribbo_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$fribbo_css      = '';
		$fribbo_bg_image = fribbo_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $fribbo_bg_image ) ) {
			$fribbo_css .= 'background-image: url(' . esc_url( fribbo_get_attachment_url( $fribbo_bg_image ) ) . ');';
		}
		if ( ! empty( $fribbo_css ) ) {
			echo ' style="' . esc_attr( $fribbo_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$fribbo_anchor_icon = fribbo_get_theme_option( 'front_page_contacts_anchor_icon' );
	$fribbo_anchor_text = fribbo_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $fribbo_anchor_icon ) || ! empty( $fribbo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $fribbo_anchor_icon ) ? ' icon="' . esc_attr( $fribbo_anchor_icon ) . '"' : '' )
									. ( ! empty( $fribbo_anchor_text ) ? ' title="' . esc_attr( $fribbo_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( fribbo_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' fribbo-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$fribbo_css      = '';
			$fribbo_bg_mask  = fribbo_get_theme_option( 'front_page_contacts_bg_mask' );
			$fribbo_bg_color_type = fribbo_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $fribbo_bg_color_type ) {
				$fribbo_bg_color = fribbo_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $fribbo_bg_color_type ) {
				$fribbo_bg_color = fribbo_get_scheme_color( 'bg_color', $fribbo_scheme );
			} else {
				$fribbo_bg_color = '';
			}
			if ( ! empty( $fribbo_bg_color ) && $fribbo_bg_mask > 0 ) {
				$fribbo_css .= 'background-color: ' . esc_attr(
					1 == $fribbo_bg_mask ? $fribbo_bg_color : fribbo_hex2rgba( $fribbo_bg_color, $fribbo_bg_mask )
				) . ';';
			}
			if ( ! empty( $fribbo_css ) ) {
				echo ' style="' . esc_attr( $fribbo_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$fribbo_caption     = fribbo_get_theme_option( 'front_page_contacts_caption' );
			$fribbo_description = fribbo_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $fribbo_caption ) || ! empty( $fribbo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $fribbo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $fribbo_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $fribbo_caption, 'fribbo_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $fribbo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $fribbo_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $fribbo_description ),'fribbo_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$fribbo_content = fribbo_get_theme_option( 'front_page_contacts_content' );
			$fribbo_layout  = fribbo_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $fribbo_layout && ( ! empty( $fribbo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $fribbo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $fribbo_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $fribbo_content,'fribbo_kses_content' );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $fribbo_layout && ( ! empty( $fribbo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$fribbo_sc = fribbo_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $fribbo_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $fribbo_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					fribbo_show_layout( do_shortcode( $fribbo_sc ) );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $fribbo_layout && ( ! empty( $fribbo_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
